Friday, November 09, 2007

dependencies upgraded

Pyrex 0.9.6

There's a few API changes which result in warnings, we're going to keep things the way they are now until Ubuntu and a few other distributions have this version available, or 0.9.7 is released, whichever comes soonest.

ODE 0.9

ODE's new version comes without an updated changelog, however, a diff on the include directories shows very few API changes from 0.8.

Because Ubuntu 7.10 just came out with ODE 0.8 we're going to stick with ODE 0.8 compatibility for the time being. Those previously trying to install PySoy on Ubuntu may remember having to manually install ODE 0.8 as the last packaged version available for Ubuntu was 0.5.


We may need to update for libtheora beta2 since there were numerous changes since alpha7, however, beta2 is not packaged for most distros yet (ie, both Gentoo and Ubuntu only run alpha7). It would seem prudent to stick with alpha7 for now.

No comments: